#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# WebGLStencilManager Class

Defined in: `src/pixi/renderers/webgl/utils/WebGLStencilManager.js:9`
Module: PIXI

## Constructor

### `WebGLStencilManager`

(

- `gl`

)
private

Defined in `src/pixi/renderers/webgl/utils/WebGLStencilManager.js:9`

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

- Index
- Methods

## Item Index

### Methods

- destroy
- pushMask
- setContext

## Methods

### `destroy`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLStencilManager.js:280`

Destroys the mask stack

### `pushMask`

(

- `maskData`
- `renderSession`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLStencilManager.js:35`

Applies the Mask and adds it to the current filter stack

#### Parameters:

- `maskData` Array
- `renderSession` RenderSession

### `setContext`

(

- `gl`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLStencilManager.js:25`

Sets the drawing context to the one given in parameter

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context